# Some module for Nixos

Modules can be imported with `fetchurl` like this:

```
  imports =
    [
      ./hardware-configuration.nix
      (builtins.fetchurl {
         url = "https://git.mineau.eu/histausse/base-nix-vm/raw/branch/master/base.nix";
         sha256 = "0r7rj0in3f5m171sx0savbynijcj3bfnnm9zi60l1l4v5l6dgv78";
       })

    ];
```

Where the value of `sha256` can be found using `nix-prefetch-url` like this:

```
$ nix-prefetch-url https://git.mineau.eu/histausse/nixos-modules/raw/branch/main/base.nix
path is '/nix/store/kql0k090xn40jm1nh0369ilba5lb8akb-base.nix'
1j4wd5fxmn3myakwsjd9vp42s1i6ypjwyj9z98hi6q903ldxwzaa
```

To test a derivation:

```
# nix repl '<nixpkgs/nixos>'
```
